var topicn = window.arguments[0].newTopic;

//initialize the textfield with the passed-in value
function initit()
{
	document.getElementById('topicname').value = topicn;
	document.getElementById('topicname').focus();
}

//make sure it's a valid new topic name, then close the window
function doOK()
{
	var topic = document.getElementById('topicname').value;
	var ret = isValidTopicName(topic);
	if(ret == 100)
	{
		window.arguments[0].newTopic = topic;
	}
	else
	{
		alert("The string '" + topic + "' " + ret);
	}
	window.close();
}

function doCancel()
{
	window.close();
}

//duh
function hasIllegalCharacters(inputStr)
{
	var re = /[,@#~`%\*\^\&\(\)\+\=\{\}\;\:\<\>\?\|\\\!\$\/]/g;
	if(inputStr.search(re) != -1)
	{
		return true;
	}
	else
	{
		return false;
	}
}

//make sure we're not trying to make a new topic with same name as an old one
function containsString(arrayName, inputStr)
{
	var excludeFromChk = -1;
	//alert("checking: arglen = " + window.arguments.length);
	if(window.arguments.length > 2)
	{
		excludeFromChk = window.arguments[2];
	}
	//alert("in containsString. exclude = "+excludeFromChk);
	for (i = 0; i < arrayName.length; i++)
	{
		if(arrayName[i] == inputStr && i != excludeFromChk)
		{
			return true;
		}
	}
	return false;
}
	
//haha
function isBlankString(inputStr){
	//Inspired by http://www.rgagnon.com/jsdetails/js-0063.html
	var re = /\s/g;
	if(inputStr.replace(re, "").length > 0)
	{
		return false;
	}
	return true;
}
	
function isValidTopicName(inputStr)
{
	//alert("checking for illegal chars");
	//check for illegal characters
	if(hasIllegalCharacters(inputStr)){
		return " has illegal Characters";
	}
	//alert("checking for blank");
	//check if blank string	
	if(isBlankString(inputStr)){
		return " is a blank string";
	}
	//alert("checking for dup");
	topics = window.arguments[1];

	//check if already exists in topics array
	//check last since its O(N) OOOOOO OPTIMIZED!
	if(containsString(topics, inputStr)){
		return " is already in use";
	}
	//alert("finished all checks");
	return 100;
}
